Index: FCKeditor/trunk/_test/automated/tests/fckdomtools.html
===================================================================
--- FCKeditor/trunk/_test/automated/tests/fckdomtools.html	(revision 1804)
+++ FCKeditor/trunk/_test/automated/tests/fckdomtools.html	(revision 1805)
@@ -117,5 +117,5 @@
 {
 	var p = document.getElementById( 'xBreakParent_P1' ) ;
-	
+
 	FCKDomTools.BreakParent( p.getElementsByTagName('span')[0], p.getElementsByTagName('i')[0] ) ;
 
@@ -126,5 +126,5 @@
 {
 	var p = document.getElementById( 'xBreakParent_P1' ) ;
-	
+
 	FCKDomTools.BreakParent( p.getElementsByTagName('span')[0], p.getElementsByTagName('b')[0] ) ;
 
@@ -135,5 +135,5 @@
 {
 	var p = document.getElementById( 'xBreakParent_P2' ) ;
-	
+
 	FCKDomTools.BreakParent( p.getElementsByTagName('span')[0], p.getElementsByTagName('i')[0] ) ;
 
@@ -144,5 +144,5 @@
 {
 	var p = document.getElementById( 'xBreakParent_P2' ) ;
-	
+
 	FCKDomTools.BreakParent( p.getElementsByTagName('span')[0], p.getElementsByTagName('b')[0] ) ;
 
@@ -153,5 +153,5 @@
 {
 	var p = document.getElementById( 'xBreakParent_P2' ) ;
-	
+
 	FCKDomTools.BreakParent( p.getElementsByTagName('i')[0], p.getElementsByTagName('b')[0] ) ;
 
Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 1804)
+++ FCKeditor/trunk/_whatsnew.html	(revision 1805)
@@ -70,6 +70,6 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1933">#1933</a>] Placeholder
 			dialog will now display the placeholder value correctly in IE.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/957">#957</a>] Pressing Enter 
-			or typing after a placeholder with the placeholder plugin will no longer generate 
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/957">#957</a>] Pressing
+			Enter or typing after a placeholder with the placeholder plugin will no longer generate
 			colored text.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1952">#1952</a>] Fixed
@@ -77,26 +77,24 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1695">#1695</a>] Removed
 			Ctrl-Tab hotkey for Source mode and allowed Ctrl-T to work in Firefox.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1666">#1666</a>] Fixed 
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1666">#1666</a>] Fixed
 			permission denied errors during opening popup menus in IE6 under domain relaxation
 			mode.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1934">#1934</a>] Fixed
 			JavaScript errors when calling Selection.EnsureSelection() in dialogs.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1920">#1920</a>] Fixed SSL
-			warning message when opening image and flash dialogs under HTTPS in IE6.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1955">#1955</a>]
-			[<a target="_blank" href="http://dev.fckeditor.net/ticket/1981">#1981</a>] 
-			[<a target="_blank" href="http://dev.fckeditor.net/ticket/1985">#1985</a>] 
-			[<a target="_blank" href="http://dev.fckeditor.net/ticket/1989">#1989</a>] 
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1920">#1920</a>] Fixed
+			SSL warning message when opening image and flash dialogs under HTTPS in IE6.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1955">#1955</a>] [<a
+			target="_blank" href="http://dev.fckeditor.net/ticket/1981">#1981</a>] [<a target="_blank"
+				href="http://dev.fckeditor.net/ticket/1985">#1985</a>] [<a target="_blank" href="http://dev.fckeditor.net/ticket/1989">#1989</a>]
 			Fixed XHTML source formatting errors in non-IE browsers.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2000">#2000</a>] The #
 			character is now properly encoded in file names returned by the File Browser.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1945">#1945</a>] New 
-			folders and file names are now properly sanitized against control characters.
-			</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1944">#1944</a>] Backslash 
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1945">#1945</a>] New folders
+			and file names are now properly sanitized against control characters. </li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1944">#1944</a>] Backslash
 			character is now disallowed in current folder path.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1055">#1055</a>] Added logic
-			to override JavaScript errors occurring inside the editing frame due to user added
-			JavaScript code.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1055">#1055</a>] Added
+			logic to override JavaScript errors occurring inside the editing frame due to user
+			added JavaScript code.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1647">#1647</a>] Hitting
 			ENTER on list items containing block elements will now create new list item elements,
@@ -110,6 +108,6 @@
 			CSS &lt;style&gt; tags where being outputted when FullPage=true.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2016">#2016</a>] The Link
-			dialog now properly selects the first field when opening it to modify mailto or anchor
-			links. This problem was also throwing an error in IE.</li>
+			dialog now properly selects the first field when opening it to modify mailto or
+			anchor links. This problem was also throwing an error in IE.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2021">#2021</a>] The caret
 			will no longer remain behind in the editing area when the placeholder dialog is
@@ -119,7 +117,7 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1853">#1853</a>] Setting
 			ShiftEnterMode to p or div now works correctly when EnterMode is br.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1838">#1838</a>] Fixed the
-			issue where context menus sometimes don't disappear after selecting an option.
-			</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1838">#1838</a>] Fixed
+			the issue where context menus sometimes don't disappear after selecting an option.
+		</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2028">#2028</a>] Fixed
 			JavaScript error when EnterMode=br and user tries to insert a page break.</li>
@@ -127,9 +125,9 @@
 			the issue where the maximize editor button does not vertically expand the editing
 			area in Firefox.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1842">#1842</a>] PHP integration: 
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1842">#1842</a>] PHP integration:
 			fixed filename encoding problems in file browser.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1832">#1832</a>] Calling
-	       		FCK.InsertHtml() in non-IE browsers would now activate the document processor
-			as expected.</li>
+			FCK.InsertHtml() in non-IE browsers would now activate the document processor as
+			expected.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1998">#1998</a>] The native
 			XMLHttpRequest class is now used in IE, whenever it is available.</li>
@@ -145,11 +143,11 @@
 			command was throwing an error if executed in an editor where its relative button
 			is not present in the toolbar.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/922">#922</a>] Implemented a
-			generic document processor for &lt;OBJECT&gt; and &lt;EMBED&gt; tags.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1831">#1831</a>] Fixed the
-			issue where the placeholder icon for &lt;EMBED&gt; tags does not always show up
-			in IE7.</li>
-		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2049">#2049</a>] Fixed a
-			deleted cursor CSS attribute in the minified CSS inside fck_dialog_common.js.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/922">#922</a>] Implemented
+			a generic document processor for &lt;OBJECT&gt; and &lt;EMBED&gt; tags.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1831">#1831</a>] Fixed
+			the issue where the placeholder icon for &lt;EMBED&gt; tags does not always show
+			up in IE7.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2049">#2049</a>] Fixed
+			a deleted cursor CSS attribute in the minified CSS inside fck_dialog_common.js.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1806">#1806</a>] In IE,
 			the caret will not any more move to the previous line when selecting a Format style
@@ -297,6 +295,6 @@
 			to file browser has been changed to avoid requests containing double dots.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1229">#1229</a>] Converting
-			multiple contiguous paragraphs to Formatted will now be merged into a single 
-			&lt;PRE&gt; block.</li>
+			multiple contiguous paragraphs to Formatted will now be merged into a single &lt;PRE&gt;
+			block.</li>
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1627">#1627</a>] Samples
 			failed to load from local filesystem in IE7.</li>
Index: FCKeditor/trunk/editor/_source/classes/fckpanel.js
===================================================================
--- FCKeditor/trunk/editor/_source/classes/fckpanel.js	(revision 1804)
+++ FCKeditor/trunk/editor/_source/classes/fckpanel.js	(revision 1805)
@@ -310,9 +310,9 @@
 		this._IsOpened = false ;
 
-		if ( this._resizeTimer ) 
-		{ 
-			clearTimeout( this._resizeTimer ) ; 
-			this._resizeTimer = null ; 
-		} 
+		if ( this._resizeTimer )
+		{
+			clearTimeout( this._resizeTimer ) ;
+			this._resizeTimer = null ;
+		}
 
 		if ( this.ParentPanel )
Index: FCKeditor/trunk/editor/_source/classes/fckstyle.js
===================================================================
--- FCKeditor/trunk/editor/_source/classes/fckstyle.js	(revision 1804)
+++ FCKeditor/trunk/editor/_source/classes/fckstyle.js	(revision 1805)
@@ -820,5 +820,5 @@
 				results.push( value ) ;
 			} ) ;
-		
+
 		// Assigning innerHTML to <PRE> in IE causes all linebreaks to be reduced to spaces.
 		// Assigning outerHTML to <PRE> in IE doesn't work if the <PRE> isn't contained in another node
Index: FCKeditor/trunk/editor/_source/fckeditorapi.js
===================================================================
--- FCKeditor/trunk/editor/_source/fckeditorapi.js	(revision 1804)
+++ FCKeditor/trunk/editor/_source/fckeditorapi.js	(revision 1805)
@@ -130,5 +130,5 @@
 
 		FCKeditorAPI = oParentWindow.FCKeditorAPI ;
-		
+
 		// The __Instances properly has been changed to the public Instances,
 		// but we should still have the "deprecated" version of it.
Index: FCKeditor/trunk/editor/_source/internals/fckdialog.js
===================================================================
--- FCKeditor/trunk/editor/_source/internals/fckdialog.js	(revision 1804)
+++ FCKeditor/trunk/editor/_source/internals/fckdialog.js	(revision 1805)
@@ -75,5 +75,5 @@
 			} ) ;
 	}
-	
+
 	var resetStyles = function( element )
 	{
Index: FCKeditor/trunk/editor/_source/internals/fckdocumentprocessor.js
===================================================================
--- FCKeditor/trunk/editor/_source/internals/fckdocumentprocessor.js	(revision 1804)
+++ FCKeditor/trunk/editor/_source/internals/fckdocumentprocessor.js	(revision 1805)
@@ -246,4 +246,4 @@
 			return ;
 		fakeImg.className = 'FCK__Flash' ;
-		fakeImg.setAttribute( '_fckflash', 'true', 0 ); 
+		fakeImg.setAttribute( '_fckflash', 'true', 0 );
 	} ) ;
Index: FCKeditor/trunk/editor/_source/internals/fckselection_ie.js
===================================================================
--- FCKeditor/trunk/editor/_source/internals/fckselection_ie.js	(revision 1804)
+++ FCKeditor/trunk/editor/_source/internals/fckselection_ie.js	(revision 1805)
@@ -216,5 +216,5 @@
 
 	var editorDocument = FCK.EditorDocument ;
-	
+
 	if ( !editorDocument )
 		return ;
@@ -246,5 +246,5 @@
 		FCK.IsSelectionChangeLocked = true ;
 
-		try 
+		try
 		{
 			this.SelectionData.select() ;
@@ -258,4 +258,4 @@
 FCKSelection.Release = function()
 {
-	delete this.SelectionData ;			
-}
+	delete this.SelectionData ;
+}
Index: FCKeditor/trunk/editor/dialog/fck_link/fck_link.js
===================================================================
--- FCKeditor/trunk/editor/dialog/fck_link/fck_link.js	(revision 1804)
+++ FCKeditor/trunk/editor/dialog/fck_link/fck_link.js	(revision 1805)
@@ -160,5 +160,5 @@
 	// Activate the "OK" button.
 	dialog.SetOkButton( true ) ;
-	
+
 	// Select the first field.
 	switch( GetE('cmbLinkType').value )
@@ -170,5 +170,5 @@
 			SelectField( 'txtEMailAddress' ) ;
 			break ;
-		case 'anchor' : 
+		case 'anchor' :
 			if ( GetE('divSelAnchor').style.display != 'none' )
 				SelectField( 'cmbAnchorName' ) ;
Index: FCKeditor/trunk/editor/filemanager/browser/default/js/fckxml.js
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/js/fckxml.js	(revision 1804)
+++ FCKeditor/trunk/editor/filemanager/browser/default/js/fckxml.js	(revision 1805)
@@ -32,5 +32,5 @@
 {
 	// Gecko / IE7
-	try { return new XMLHttpRequest(); } 
+	try { return new XMLHttpRequest(); }
 	catch(e) {}
 
Index: FCKeditor/trunk/editor/filemanager/connectors/lasso/connector.lasso
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/lasso/connector.lasso	(revision 1804)
+++ FCKeditor/trunk/editor/filemanager/connectors/lasso/connector.lasso	(revision 1805)
@@ -59,5 +59,5 @@
 	Custom tag sets the HTML response.
 	*/
-	
+
 	define_tag(
 		'htmlreply',
@@ -114,5 +114,5 @@
 			/if;
 	/define_tag;
-	
+
 
     /*.....................................................................
@@ -138,5 +138,5 @@
 		/if;
 	else;
-	
+
     /*.....................................................................
     Build the appropriate response per the 'Command' parameter. Wrap the
@@ -226,5 +226,5 @@
                 	$uploadResult = '202';
                 /if;
-                
+
 				if($uploadResult == '0');
                     /*.....................................................
Index: FCKeditor/trunk/editor/filemanager/connectors/php/io.php
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/php/io.php	(revision 1804)
+++ FCKeditor/trunk/editor/filemanager/connectors/php/io.php	(revision 1805)
@@ -230,7 +230,7 @@
 
 	// Check the current folder syntax (must begin and start with a slash).
-	if ( !preg_match( '|/$|', $sCurrentFolder ) ) 
+	if ( !preg_match( '|/$|', $sCurrentFolder ) )
 		$sCurrentFolder .= '/' ;
-	if ( strpos( $sCurrentFolder, '/' ) !== 0 ) 
+	if ( strpos( $sCurrentFolder, '/' ) !== 0 )
 		$sCurrentFolder = '/' . $sCurrentFolder ;
 
Index: FCKeditor/trunk/editor/filemanager/connectors/test.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/test.html	(revision 1804)
+++ FCKeditor/trunk/editor/filemanager/connectors/test.html	(revision 1805)
@@ -58,6 +58,6 @@
 		}
 	}
-})() ;	
-	
+})() ;
+
 function BuildBaseUrl( command )
 {
Index: FCKeditor/trunk/editor/filemanager/connectors/uploadtest.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/connectors/uploadtest.html	(revision 1804)
+++ FCKeditor/trunk/editor/filemanager/connectors/uploadtest.html	(revision 1805)
@@ -57,6 +57,6 @@
 		}
 	}
-})() ;	
-		
+})() ;
+
 function SendFile()
 {
@@ -76,5 +76,5 @@
 
 	var date = new Date()
-	
+
 	frmUpload.action = sUploaderUrl + '?time=' + date.getTime();
 	if (document.getElementById('cmbType').value) {
@@ -168,5 +168,5 @@
 									Upload a new file:<br>
 									<input type="file" name="NewFile"><br>
-									 
+
 									<input type="button" value="Send it to the Server" onclick="SendFile();">
 								</form>