Index: FCKeditor/trunk/_samples/html/sample01.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample01.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample01.html	(revision 1957)
@@ -38,5 +38,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample02.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample02.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample02.html	(revision 1957)
@@ -53,5 +53,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<div>
 			<textarea name="FCKeditor1" rows="10" cols="80" style="width: 100%; height: 200px">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://www.fckeditor.net/"&gt;FCKeditor&lt;/a&gt;.&lt;/p&gt;</textarea>
Index: FCKeditor/trunk/_samples/html/sample03.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample03.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample03.html	(revision 1957)
@@ -106,5 +106,5 @@
 	</table>
 	<br />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample04.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample04.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample04.html	(revision 1957)
@@ -66,5 +66,5 @@
 	</table>
 	<br />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample05.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample05.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample05.html	(revision 1957)
@@ -72,5 +72,5 @@
 	</table>
 	<br />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample06.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample06.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample06.html	(revision 1957)
@@ -46,5 +46,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample07.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample07.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample07.html	(revision 1957)
@@ -38,5 +38,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample08.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample08.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample08.html	(revision 1957)
@@ -149,5 +149,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample09.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample09.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample09.html	(revision 1957)
@@ -58,5 +58,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		Normal text field:<br />
 		<input name="NormaText" value="Plain Text" />
Index: FCKeditor/trunk/_samples/html/sample10.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample10.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample10.html	(revision 1957)
@@ -40,5 +40,5 @@
 	<div id="xToolbar"></div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		Normal text field:<br />
 		<input name="NormaText" value="Plain Text" />
Index: FCKeditor/trunk/_samples/html/sample11_frame.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample11_frame.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample11_frame.html	(revision 1957)
@@ -30,5 +30,5 @@
 </head>
 <body>
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		Normal text field:<br />
 		<input name="NormaText" value="Plain Text" />
Index: FCKeditor/trunk/_samples/html/sample12.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample12.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample12.html	(revision 1957)
@@ -77,5 +77,5 @@
 	</table>
 	<br />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sample13.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample13.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample13.html	(revision 1957)
@@ -126,5 +126,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank" onsubmit="PrepareSave();">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank" onsubmit="PrepareSave();">
 		<div id="Textarea">
 			<input type="button" value="Switch to FCKeditor" onclick="Toggle()" />
Index: FCKeditor/trunk/_samples/html/sample14.html
===================================================================
--- FCKeditor/trunk/_samples/html/sample14.html	(revision 1956)
+++ FCKeditor/trunk/_samples/html/sample14.html	(revision 1957)
@@ -40,5 +40,5 @@
 	</div>
 	<hr />
-	<form action="sampleposteddata.php" method="post" target="_blank">
+	<form action="../php/sampleposteddata.php" method="post" target="_blank">
 		<script type="text/javascript">
 <!--
Index: FCKeditor/trunk/_samples/html/sampleposteddata.html
===================================================================
--- FCKeditor/trunk/_samples/html/sampleposteddata.html	(revision 1956)
+++ 	(revision )
@@ -1,80 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<!--
- * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- *
- * This page lists the data posted by a form. It uses the URL (GET data),
- * so it's limited to 2KB of data.
--->
-<html xmlns="http://www.w3.org/1999/xhtml">
-<head>
-	<title>FCKeditor - Samples - Posted Data</title>
-	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
-	<meta name="robots" content="noindex, nofollow" />
-	<link href="../sample.css" rel="stylesheet" type="text/css" />
-</head>
-<body>
-	<h1>
-		FCKeditor - Samples - Posted Data
-	</h1>
-	<div>
-		This page lists all data posted by the form. It uses the "QueryString" to search
-		for data submitted using the "GET" method, so it is limited to 2KB.
-	</div>
-	<hr />
-	<table width="100%" border="1" cellpadding="3" style="border-color: #999999; border-collapse: collapse;">
-		<tr style="font-weight: bold; color: #dddddd; background-color: #999999">
-			<td style="white-space: nowrap;">
-				Field</td>
-			<td>
-				Value</td>
-		</tr>
-		<script type="text/javascript">
-<!--
-
-function HTMLEncode( text )
-{
-	text = text.replace(/&/g, "&amp;") ;
-	text = text.replace(/"/g, "&quot;") ;
-	text = text.replace(/</g, "&lt;") ;
-	text = text.replace(/>/g, "&gt;") ;
-	text = text.replace(/'/g, "&#39;") ;
-
-	return text ;
-}
-
-var aParams = document.location.search.substr(1).split('&') ;
-
-for ( i = 0 ; i < aParams.length ; i++ )
-{
-	var aParam = aParams[i].split('=') ;
-	var sParamName  = aParam[0] ;
-	var sParamValue = aParam[1] ;
-
-	document.write( '<tr>' ) ;
-	document.write( '<td valign="top" style="white-space: nowrap;">' + sParamName + '</td>' ) ;
-	document.write( '<td style="width: 100%;"><pre>' + HTMLEncode( decodeURIComponent( sParamValue.replace( /\+/g, ' ' ) ) ) + '</pre></td>' ) ;
-	document.write( '</tr>' ) ;
-}
-
-//-->
-		</script>
-	</table>
-</body>
-</html>
Index: FCKeditor/trunk/_samples/html/sampleposteddata.php
===================================================================
--- FCKeditor/trunk/_samples/html/sampleposteddata.php	(revision 1956)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<?php
-/*
- * FCKeditor - The text editor for Internet - http://www.fckeditor.net
- * Copyright (C) 2003-2008 Frederico Caldeira Knabben
- *
- * == BEGIN LICENSE ==
- *
- * Licensed under the terms of any of the following licenses at your
- * choice:
- *
- *  - GNU General Public License Version 2 or later (the "GPL")
- *    http://www.gnu.org/licenses/gpl.html
- *
- *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
- *    http://www.gnu.org/licenses/lgpl.html
- *
- *  - Mozilla Public License Version 1.1 or later (the "MPL")
- *    http://www.mozilla.org/MPL/MPL-1.1.html
- *
- * == END LICENSE ==
- *
- * This page lists the data posted by a form.
- */
-?>
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html>
-	<head>
-		<title>FCKeditor - Samples - Posted Data</title>
-		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-		<meta name="robots" content="noindex, nofollow">
-		<link href="../sample.css" rel="stylesheet" type="text/css" />
-	</head>
-	<body>
-		<h1>FCKeditor - Samples - Posted Data</h1>
-		This page lists all data posted by the form.
-		<hr>
-		<table width="100%" border="1" cellspacing="0" bordercolor="#999999">
-			<tr style="FONT-WEIGHT: bold; COLOR: #dddddd; BACKGROUND-COLOR: #999999">
-				<td nowrap>Field Name&nbsp;&nbsp;</td>
-				<td>Value</td>
-			</tr>
-<?php
-
-if ( isset( $_POST ) )
-   $postArray = &$_POST ;			// 4.1.0 or later, use $_POST
-else
-   $postArray = &$HTTP_POST_VARS ;	// prior to 4.1.0, use HTTP_POST_VARS
-
-foreach ( $postArray as $sForm => $value )
-{
-	if ( get_magic_quotes_gpc() )
-		$postedValue = htmlspecialchars( stripslashes( $value ) ) ;
-	else
-		$postedValue = htmlspecialchars( $value ) ;
-
-?>
-			<tr>
-				<td valign="top" nowrap><b><?=$sForm?></b></td>
-				<td width="100%" style="white-space:pre"><?=$postedValue?></td>
-			</tr>
-<?php
-}
-?>
-		</table>
-	</body>
-</html>