Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 1984)
+++ FCKeditor/trunk/_whatsnew.html	(revision 1985)
@@ -87,4 +87,6 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2168">#2168</a>] Comments won't generate new
 			paragraphs in the output.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2184">#2184</a>] Fixed several validation 
+			errors in the File Browser.</li>
 	</ul>
 	<h3>
Index: FCKeditor/trunk/editor/filemanager/browser/default/browser.css
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/browser.css	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/browser.css	(revision 1985)
@@ -25,10 +25,12 @@
 {
 	background-color: #f1f1e3;
+	margin-top:0; 
+	margin-bottom:0;
 }
 
 form
 {
-	margin: 0px 0px 0px 0px ;
-	padding: 0px 0px 0px 0px ;
+	margin: 0;
+	padding: 0;
 }
 
@@ -36,14 +38,9 @@
 {
 	background-color: #f1f1e3;
-	border-color: #f1f1e3;
-	border-right: thin inset;
-	border-top: thin inset;
-	border-left: thin inset;
-	border-bottom: thin inset;
+	border: thin inset #f1f1e3;
 }
 
 body.FileArea
 {
-
 	background-color: #ffffff;
 	margin: 10px;
@@ -71,9 +68,6 @@
 .Button, button
 {
-	border-right: #737357 1px solid;
-	border-top: #737357 1px solid;
-	border-left: #737357 1px solid;
 	color: #3b3b1f;
-	border-bottom: #737357 1px solid;
+	border: #737357 1px solid;
 	background-color: #c7c78f;
 }
@@ -88,2 +82,6 @@
 	background-image: url(images/Folder.gif);
 }
+
+.fullHeight {
+	height: 100%;
+}
Index: FCKeditor/trunk/editor/filemanager/browser/default/browser.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/browser.html	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/browser.html	(revision 1985)
@@ -1,3 +1,4 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN"
+   "http://www.w3.org/TR/html4/frameset.dtd">
 <!--
  * FCKeditor - The text editor for Internet - http://www.fckeditor.net
@@ -28,5 +29,5 @@
 		<link href="browser.css" type="text/css" rel="stylesheet">
 		<script type="text/javascript" src="js/fckxml.js"></script>
-		<script language="javascript">
+		<script type="text/javascript">
 // Automatically detect the correct document.domain (#1919).
 (function()
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmactualfolder.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmactualfolder.html	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmactualfolder.html	(revision 1985)
@@ -24,4 +24,5 @@
 <html>
 	<head>
+		<title>Folder path</title>
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<link href="browser.css" type="text/css" rel="stylesheet">
@@ -59,10 +60,4 @@
 })() ;
 
-function OnResize()
-{
-	divName.style.width = "1px" ;
-	divName.style.width = tdName.offsetWidth + "px" ;
-}
-
 function SetCurrentFolder( resourceType, folderPath )
 {
@@ -77,6 +72,6 @@
 		</script>
 	</head>
-	<body bottomMargin="0" topMargin="0">
-		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+	<body>
+		<table class="fullHeight" cellSpacing="0" cellPadding="0" width="100%" border="0">
 			<tr>
 				<td>
@@ -88,5 +83,5 @@
 								<td id="tdName" width="100%" nowrap class="ActualFolder">/</td>
 								<td>&nbsp;</td>
-								<td><img height="8" src="images/ButtonArrow.gif" width="12"></td>
+								<td><img height="8" src="images/ButtonArrow.gif" width="12" alt=""></td>
 								<td>&nbsp;</td>
 							</tr>
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmcreatefolder.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmcreatefolder.html	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmcreatefolder.html	(revision 1985)
@@ -24,8 +24,9 @@
 <html>
 	<head>
+		<title>Create Folder</title>
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<link href="browser.css" type="text/css" rel="stylesheet">
 		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
+		<script type="text/javascript">
 
 function SetCurrentFolder( resourceType, folderPath )
@@ -94,6 +95,6 @@
 		</script>
 	</head>
-	<body bottomMargin="0" topMargin="0">
-		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+	<body>
+		<table class="fullHeight" cellSpacing="0" cellPadding="0" width="100%" border="0">
 			<tr>
 				<td>
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmfolders.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmfolders.html	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmfolders.html	(revision 1985)
@@ -25,8 +25,9 @@
 <html>
 	<head>
+		<title>Folders</title>
 		<link href="browser.css" type="text/css" rel="stylesheet">
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
+		<script type="text/javascript">
 
 var sActiveFolder ;
@@ -67,10 +68,10 @@
 	var oCell = oRow.insertCell(-1) ;
 	oCell.width = 16 ;
-	oCell.innerHTML = sLink + '<img alt="" src="images/spacer.gif" width="16" height="16" border="0"></a>' ;
+	oCell.innerHTML = sLink + '<img alt="" src="images/spacer.gif" width="16" height="16" border="0"><\/a>' ;
 
 	// Add the folder name cell.
 	oCell = oRow.insertCell(-1) ;
 	oCell.noWrap = true ;
-	oCell.innerHTML = '&nbsp;' + sLink + folderName + '</a>' ;
+	oCell.innerHTML = '&nbsp;' + sLink + folderName + '<\/a>' ;
 
 	this.TableRows[ folderPath ] = oRow ;
@@ -187,5 +188,5 @@
 		</script>
 	</head>
-	<body class="FileArea" bottomMargin="10" leftMargin="10" topMargin="10" rightMargin="10">
+	<body class="FileArea">
 		<table id="tableFiles" cellSpacing="0" cellPadding="0" width="100%" border="0">
 			<tr id="trUp" style="DISPLAY: none">
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmresourceslist.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmresourceslist.html	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmresourceslist.html	(revision 1985)
@@ -22,7 +22,8 @@
  * This page shows all resources available in a folder in the File Browser.
 -->
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
 <head>
-	<link href="browser.css" type="text/css" rel="stylesheet" />
+	<title>Resources</title>
+	<link href="browser.css" type="text/css" rel="stylesheet">
 	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 	<script type="text/javascript" src="js/common.js"></script>
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmresourcetype.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmresourcetype.html	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmresourcetype.html	(revision 1985)
@@ -24,8 +24,9 @@
 <html>
 	<head>
+		<title>Available types</title>
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<link href="browser.css" type="text/css" rel="stylesheet">
 		<script type="text/javascript" src="js/common.js"></script>
-		<script language="javascript">
+		<script type="text/javascript">
 
 function SetResourceType( type )
@@ -43,8 +44,10 @@
 window.onload = function()
 {
+	var oCombo = document.getElementById('cmbType') ;
+	oCombo.innerHTML = '' ;
 	for ( var i = 0 ; i < aTypes.length ; i++ )
 	{
 		if ( oConnector.ShowAllTypes || aTypes[i][0] == oConnector.ResourceType )
-			AddSelectOption( document.getElementById('cmbType'), aTypes[i][1], aTypes[i][0] ) ;
+			AddSelectOption( oCombo, aTypes[i][1], aTypes[i][0] ) ;
 	}
 }
@@ -52,10 +55,11 @@
 		</script>
 	</head>
-	<body bottomMargin="0" topMargin="0">
-		<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
+	<body>
+		<table class="fullHeight" cellSpacing="0" cellPadding="0" width="100%" border="0">
 			<tr>
 				<td nowrap>
 					Resource Type<BR>
 					<select id="cmbType" style="WIDTH: 100%" onchange="SetResourceType(this.value);">
+						<option>&nbsp;
 					</select>
 				</td>
Index: FCKeditor/trunk/editor/filemanager/browser/default/frmupload.html
===================================================================
--- FCKeditor/trunk/editor/filemanager/browser/default/frmupload.html	(revision 1984)
+++ FCKeditor/trunk/editor/filemanager/browser/default/frmupload.html	(revision 1985)
@@ -22,9 +22,9 @@
  * Page used to upload new files in the current folder.
 -->
-<html xmlns="http://www.w3.org/1999/xhtml">
+<html>
 	<head>
 		<title>File Upload</title>
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
-		<link href="browser.css" type="text/css" rel="stylesheet" />
+		<link href="browser.css" type="text/css" rel="stylesheet" >
 		<script type="text/javascript" src="js/common.js"></script>
 		<script type="text/javascript">
@@ -96,7 +96,7 @@
 		</script>
 	</head>
-	<body bottommargin="0" topmargin="0">
+	<body>
 		<form id="frmUpload" action="" target="frmUploadWorker" method="post" enctype="multipart/form-data" onsubmit="return OnSubmit();">
-			<table height="100%" cellspacing="0" cellpadding="0" width="100%" border="0">
+			<table class="fullHeight" cellspacing="0" cellpadding="0" width="100%" border="0">
 				<tr>
 					<td nowrap="nowrap">