Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/index.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/index.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/index.jsp	(revision 2006)
@@ -29,4 +29,6 @@
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 		<meta name="robots" content="noindex, nofollow" />
+		<link rel="shortcut icon" href="fckeditor.gif"
+				type="image/x-icon" />
 	</head>
 	<frameset rows="60,*">
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample01.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample01.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample01.jsp	(revision 2006)
@@ -31,4 +31,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 		<script type="text/javascript">
 			function FCKeditor_OnComplete(editorInstance) {
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample02.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample02.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample02.jsp	(revision 2006)
@@ -31,4 +31,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 		<script type="text/javascript">
 			function FCKeditor_OnComplete(editorInstance) {
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample03.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample03.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample03.jsp	(revision 2006)
@@ -31,4 +31,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 		<script type="text/javascript">
 			function FCKeditor_OnComplete(editorInstance) {
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample04.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample04.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample04.jsp	(revision 2006)
@@ -31,4 +31,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 		<script type="text/javascript">
 			function FCKeditor_OnComplete(editorInstance) {
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample05.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample05.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample05.jsp	(revision 2006)
@@ -31,4 +31,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 		<script type="text/javascript">
 			function FCKeditor_OnComplete(editorInstance) {
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample06.jsp	(revision 2006)
@@ -31,4 +31,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 		<script type="text/javascript">
 			function FCKeditor_OnComplete(editorInstance) {
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample07.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample07.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sample07.jsp	(revision 2006)
@@ -31,4 +31,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 		<script type="text/javascript">
 			function FCKeditor_OnComplete(editorInstance) {
Index: FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sampleposteddata.jsp
===================================================================
--- FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sampleposteddata.jsp	(revision 2005)
+++ FCKeditor.Java/trunk/java-demo/src/main/webapp/jsp/sampleposteddata.jsp	(revision 2006)
@@ -30,4 +30,6 @@
 		<meta name="robots" content="noindex, nofollow" />
 		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link rel="shortcut icon" href="../fckeditor.gif"
+				type="image/x-icon" />
 	</head>
 	<%