Index: FCKeditor.Java/trunk/java-core/pom.xml
===================================================================
--- FCKeditor.Java/trunk/java-core/pom.xml	(revision 2009)
+++ FCKeditor.Java/trunk/java-core/pom.xml	(revision 2010)
@@ -1,8 +1,3 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
-                      http://maven.apache.org/xsd/maven-4.0.0.xsd"
->
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0                       http://maven.apache.org/xsd/maven-4.0.0.xsd">
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>java-core</artifactId>
@@ -37,5 +32,5 @@
 		<groupId>net.fckeditor</groupId>
 		<artifactId>fckeditor-java</artifactId>
-		<version>2.4-SNAPSHOT</version>
+		<version>2.4-beta-1</version>
 	</parent>
 
@@ -54,16 +49,8 @@
 						<configuration>
 							<tasks>
-								<property name="ant.regexp.regexpimpl"
-									value="org.apache.tools.ant.util.regexp.Jdk14RegexpRegexp"
-								/>
-								<replaceregexp byline="true" flags="m"
-									file="target/site/tagreference.html"
-								>
-									<regexp
-										pattern="&amp;lt;a href=&amp;quot;(\p{Graph}+)&amp;quot;\s*&amp;gt;(\p{Graph}+)&amp;lt;/a&amp;gt;"
-									/>
-									<substitution
-										expression="&lt;a href=&quot;\1&quot;&gt;\2&lt;/a&gt;"
-									/>
+								<property name="ant.regexp.regexpimpl" value="org.apache.tools.ant.util.regexp.Jdk14RegexpRegexp" />
+								<replaceregexp byline="true" flags="m" file="target/site/tagreference.html">
+									<regexp pattern="&amp;lt;a href=&amp;quot;(\p{Graph}+)&amp;quot;\s*&amp;gt;(\p{Graph}+)&amp;lt;/a&amp;gt;" />
+									<substitution expression="&lt;a href=&quot;\1&quot;&gt;\2&lt;/a&gt;" />
 								</replaceregexp>
 							</tasks>
Index: FCKeditor.Java/trunk/java-demo/pom.xml
===================================================================
--- FCKeditor.Java/trunk/java-demo/pom.xml	(revision 2009)
+++ FCKeditor.Java/trunk/java-demo/pom.xml	(revision 2010)
@@ -1,8 +1,3 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
-                      http://maven.apache.org/xsd/maven-4.0.0.xsd"
->
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0                       http://maven.apache.org/xsd/maven-4.0.0.xsd">
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>java-demo</artifactId>
@@ -12,5 +7,5 @@
 			<groupId>net.fckeditor</groupId>
 			<artifactId>java-core</artifactId>
-			<version>2.4-SNAPSHOT</version>
+			<version>2.4-beta-1</version>
 		</dependency>
 		<dependency>
@@ -24,5 +19,5 @@
 		<groupId>net.fckeditor</groupId>
 		<artifactId>fckeditor-java</artifactId>
-		<version>2.4-SNAPSHOT</version>
+		<version>2.4-beta-1</version>
 	</parent>
 
Index: FCKeditor.Java/trunk/pom.xml
===================================================================
--- FCKeditor.Java/trunk/pom.xml	(revision 2009)
+++ FCKeditor.Java/trunk/pom.xml	(revision 2010)
@@ -1,11 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project xmlns="http://maven.apache.org/POM/4.0.0"
-	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
-	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
-                      http://maven.apache.org/xsd/maven-4.0.0.xsd">
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0                       http://maven.apache.org/xsd/maven-4.0.0.xsd">
 	<modelVersion>4.0.0</modelVersion>
 	<groupId>net.fckeditor</groupId>
 	<artifactId>fckeditor-java</artifactId>
-	<version>2.4-SNAPSHOT</version>
+	<version>2.4-beta-1</version>
 	<packaging>pom</packaging>
 	<dependencies>
@@ -114,27 +110,22 @@
 						<configuration>
 							<tasks>
-								<copy overwrite="true" todir="src/site"
-									flatten="true">
+								<copy overwrite="true" todir="src/site" flatten="true">
 									<fileset dir="..">
 										<include name="src/site/site.xml" />
 									</fileset>
 								</copy>
-								<replace value="&lt;src&gt;../"
-									token="&lt;src&gt;/" dir="..">
+								<replace value="&lt;src&gt;../" token="&lt;src&gt;/" dir="..">
 									<include name="${pom.artifactId}/src/site/site.xml" />
 									<exclude name="fckeditor-java/src/site/site.xml" />
 								</replace>
-								<replace value="href=&quot;../"
-									token="href=&quot;/" dir="..">
+								<replace value="href=&quot;../" token="href=&quot;/" dir="..">
 									<include name="${pom.artifactId}/src/site/site.xml" />
 									<exclude name="fckeditor-java/src/site/site.xml" />
 								</replace>
-								<replace value="href=&quot;"
-									token="href=&quot;../${pom.artifactId}/" dir="..">
+								<replace value="href=&quot;" token="href=&quot;../${pom.artifactId}/" dir="..">
 									<include name="${pom.artifactId}/src/site/site.xml" />
 									<exclude name="fckeditor-java/src/site/site.xml" />
 								</replace>
-								<replace value="href=&quot;../images"
-									token="href=&quot;images" dir="..">
+								<replace value="href=&quot;../images" token="href=&quot;images" dir="..">
 									<include name="${pom.artifactId}/src/site/site.xml" />
 									<exclude name="fckeditor-java/src/site/site.xml" />
@@ -306,10 +297,6 @@
 	</mailingLists>
 	<scm>
-		<connection>
-			scm:svn:http://svn.fckeditor.net/FCKeditor.Java/trunk
-		</connection>
-		<url>
-			http://dev.fckeditor.net/browser/FCKeditor.Java/trunk
-		</url>
+		<connection>scm:svn:http://svn.fckeditor.net/FCKeditor.Java/tags/2.4-beta-1</connection>
+		<url>http://dev.fckeditor.net/browser/FCKeditor.Java/tags/2.4-beta-1</url>
 	</scm>
 	<prerequisites>