Index: FCKeditor/trunk/_samples/afp/sampleposteddata.afp
===================================================================
--- FCKeditor/trunk/_samples/afp/sampleposteddata.afp	(revision 2037)
+++ FCKeditor/trunk/_samples/afp/sampleposteddata.afp	(revision 2039)
@@ -28,5 +28,5 @@
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<meta name="robots" content="noindex, nofollow">
-		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link href="../sample.css" rel="stylesheet" type="text/css">
 	</head>
 	<body>
@@ -34,9 +34,12 @@
 		This page lists all data posted by the form.
 		<hr>
-		<table width="100%" border="1" cellspacing="0" bordercolor="#999999">
-			<tr style="FONT-WEIGHT: bold; COLOR: #dddddd; BACKGROUND-COLOR: #999999">
-				<td nowrap>Field Name&nbsp;&nbsp;</td>
-				<td>Value</td>
-			</tr>
+		<table border="1" cellspacing="0" id="outputSample">
+			<colgroup><col width="80"><col></colgroup>
+			<thead>
+				<tr>
+					<th>Field Name</th>
+					<th>Value</th>
+				</tr>
+			</thead>
 <%
 		lcForm=REQUEST.Form()
@@ -52,5 +55,5 @@
 				lcWert=STRTRAN(lcWert,">","&gt;")	&& ... if wanted remove/translate HTML Chars ...
 
-				? [<tr><td>]+lcVariable+[ =</td><td>]+lcWert+[</td></tr>]
+				? [<tr><th>]+lcVariable+[ =</th><td><pre>]+lcWert+[</pre></td></tr>]
 			ENDIF
 		NEXT
Index: FCKeditor/trunk/_samples/asp/sampleposteddata.asp
===================================================================
--- FCKeditor/trunk/_samples/asp/sampleposteddata.asp	(revision 2037)
+++ FCKeditor/trunk/_samples/asp/sampleposteddata.asp	(revision 2039)
@@ -29,5 +29,5 @@
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<meta name="robots" content="noindex, nofollow">
-		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link href="../sample.css" rel="stylesheet" type="text/css" >
 	</head>
 	<body>
@@ -35,9 +35,12 @@
 		This page lists all data posted by the form.
 		<hr>
-		<table width="100%" border="1" cellspacing="0" bordercolor="#999999">
-			<tr style="FONT-WEIGHT: bold; COLOR: #dddddd; BACKGROUND-COLOR: #999999">
-				<td noWrap>Field Name&nbsp;&nbsp;</td>
-				<td>Value</td>
-			</tr>
+		<table border="1" cellspacing="0" id="outputSample">
+			<colgroup><col width="80"><col></colgroup>
+			<thead>
+				<tr>
+					<th>Field Name</th>
+					<th>Value</th>
+				</tr>
+			</thead>
 			<%
 			Dim sForm
@@ -45,6 +48,6 @@
 			%>
 			<tr>
-				<td valign="top" nowrap><b><%=sForm%></b></td>
-				<td width="100%" style="white-space:pre"><%=Server.HTMLEncode( Request.Form(sForm) )%></td>
+				<th><%=sForm%></th>
+				<td><pre><%=Server.HTMLEncode( Request.Form(sForm) )%></pre></td>
 			</tr>
 			<% Next %>
Index: FCKeditor/trunk/_samples/cfm/sampleposteddata.cfm
===================================================================
--- FCKeditor/trunk/_samples/cfm/sampleposteddata.cfm	(revision 2037)
+++ FCKeditor/trunk/_samples/cfm/sampleposteddata.cfm	(revision 2039)
@@ -39,21 +39,20 @@
 		<cfoutput>
 		<hr />
-		<style>
-		<!--
-			td, th { font: 11px Verdana, Arial, Helv, Helvetica, sans-serif; }
-		-->
-		</style>
-		<table border="1" cellspacing="0" cellpadding="2" bordercolor="darkblue" bordercolordark="darkblue" bordercolorlight="darkblue">
+		<table border="1" cellspacing="0" id="outputSample">
+			<colgroup><col width="80"><col></colgroup>
+			<thead>
+				<tr>
+					<th>Field Name</th>
+					<th>Value</th>
+				</tr>
+			</thead>
 		<tr>
-			<th colspan="2" bgcolor="darkblue"><font color="white"><strong>Dump of FORM Variables</strong></font></th>
-		</tr>
-		<tr>
-			<td bgcolor="lightskyblue">FieldNames</td>
+			<th>FieldNames</th>
 			<td>#FORM.fieldNames#</td>
 		</tr>
 		<cfloop list="#FORM.fieldnames#" index="key">
 		<tr>
-			<td valign="top" bgcolor="lightskyblue">#key#</td>
-			<td style="white-space:pre">#HTMLEditFormat( evaluate( "FORM.#key#" ) )#</td>
+			<th>#key#</th>
+			<td><pre>#HTMLEditFormat( evaluate( "FORM.#key#" ) )#</pre></td>
 		</tr>
 		</cfloop>
Index: FCKeditor/trunk/_samples/lasso/sampleposteddata.lasso
===================================================================
--- FCKeditor/trunk/_samples/lasso/sampleposteddata.lasso	(revision 2037)
+++ FCKeditor/trunk/_samples/lasso/sampleposteddata.lasso	(revision 2039)
@@ -29,5 +29,5 @@
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<meta name="robots" content="noindex, nofollow">
-		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link href="../sample.css" rel="stylesheet" type="text/css">
 	</head>
 	<body>
@@ -35,13 +35,16 @@
 		This page lists all data posted by the form.
 		<hr>
-		<table width="100%" border="1" cellspacing="0" bordercolor="#999999">
-			<tr style="FONT-WEIGHT: bold; COLOR: #dddddd; BACKGROUND-COLOR: #999999">
-				<td nowrap>Field Name&nbsp;&nbsp;</td>
-				<td>Value</td>
-			</tr>
+		<table border="1" cellspacing="0" id="outputSample">
+			<colgroup><col width="80"><col></colgroup>
+			<thead>
+				<tr>
+					<th>Field Name</th>
+					<th>Value</th>
+				</tr>
+			</thead>
 [iterate(client_postparams, local('this'))]
 			<tr>
-				<td valign="top" nowrap><b>[#this->first]</b></td>
-				<td width="100%" style="white-space:pre">[#this->second]</td>
+				<th>[#this->first]</th>
+				<td><pre>[#this->second]</pre></td>
 			</tr>
 [/iterate]
Index: FCKeditor/trunk/_samples/perl/sampleposteddata.cgi
===================================================================
--- FCKeditor/trunk/_samples/perl/sampleposteddata.cgi	(revision 2037)
+++ FCKeditor/trunk/_samples/perl/sampleposteddata.cgi	(revision 2039)
@@ -71,5 +71,4 @@
 	print <<"_HTML_TAG_";
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-
 <html>
 	<head>
@@ -77,5 +76,5 @@
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<meta name="robots" content="noindex, nofollow">
-		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link href="../sample.css" rel="stylesheet" type="text/css" >
 	</head>
 	<body>
@@ -83,9 +82,12 @@
 		This page lists all data posted by the form.
 		<hr>
-		<table width="100%" border="1" cellspacing="0" bordercolor="#999999">
-			<tr style="FONT-WEIGHT: bold; COLOR: #dddddd; BACKGROUND-COLOR: #999999">
-				<td nowrap>Field Name&nbsp;&nbsp;</td>
-				<td>Value</td>
-			</tr>
+		<table border="1" cellspacing="0" id="outputSample">
+			<colgroup><col width="80"><col></colgroup>
+			<thead>
+				<tr>
+					<th>Field Name</th>
+					<th>Value</th>
+				</tr>
+			</thead>
 _HTML_TAG_
 
@@ -94,6 +96,6 @@
 		print <<"_HTML_TAG_";
 			<tr>
-				<td valign="top" nowrap><b>$key</b></td>
-				<td width="100%" style="white-space:pre">$postedValue</td>
+				<th>$key</th>
+				<td><pre>$postedValue</pre></td>
 			</tr>
 _HTML_TAG_
Index: FCKeditor/trunk/_samples/php/sampleposteddata.php
===================================================================
--- FCKeditor/trunk/_samples/php/sampleposteddata.php	(revision 2037)
+++ FCKeditor/trunk/_samples/php/sampleposteddata.php	(revision 2039)
@@ -29,5 +29,5 @@
 		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
 		<meta name="robots" content="noindex, nofollow">
-		<link href="../sample.css" rel="stylesheet" type="text/css" />
+		<link href="../sample.css" rel="stylesheet" type="text/css" >
 	</head>
 	<body>
@@ -35,9 +35,12 @@
 		This page lists all data posted by the form.
 		<hr>
-		<table width="100%" border="1" cellspacing="0" bordercolor="#999999">
-			<tr style="FONT-WEIGHT: bold; COLOR: #dddddd; BACKGROUND-COLOR: #999999">
-				<td nowrap>Field Name&nbsp;&nbsp;</td>
-				<td>Value</td>
-			</tr>
+		<table border="1" cellspacing="0" id="outputSample">
+			<colgroup><col width="80"><col></colgroup>
+			<thead>
+				<tr>
+					<th>Field Name</th>
+					<th>Value</th>
+				</tr>
+			</thead>
 <?php
 
@@ -56,6 +59,6 @@
 ?>
 			<tr>
-				<td valign="top" nowrap><b><?=$sForm?></b></td>
-				<td width="100%" style="white-space:pre"><?=$postedValue?></td>
+				<th><?php echo $sForm?></th>
+				<td><pre><?php echo $postedValue?></pre></td>
 			</tr>
 <?php
Index: FCKeditor/trunk/_samples/py/sampleposteddata.py
===================================================================
--- FCKeditor/trunk/_samples/py/sampleposteddata.py	(revision 2037)
+++ FCKeditor/trunk/_samples/py/sampleposteddata.py	(revision 2039)
@@ -54,9 +54,12 @@
 		This page lists all data posted by the form.
 		<hr>
-		<table width="100%" border="1" cellspacing="0" bordercolor="#999999">
-			<tr style="FONT-WEIGHT: bold; COLOR: #dddddd; BACKGROUND-COLOR: #999999">
-				<td nowrap>Field Name&nbsp;&nbsp;</td>
-				<td>Value</td>
-			</tr>
+		<table border="1" cellspacing="0" id="outputSample">
+			<colgroup><col width="80"><col></colgroup>
+			<thead>
+				<tr>
+					<th>Field Name</th>
+					<th>Value</th>
+				</tr>
+			</thead>
 """
 for key in form.keys():
@@ -65,6 +68,6 @@
 		print """
 				<tr>
-					<td valign="top" nowrap><b>%s</b></td>
-					<td width="100%%" style="white-space:pre">%s</td>
+					<th>%s</th>
+					<td><pre>%s</pre></td>
 				</tr>
 			""" % (key, value)
Index: FCKeditor/trunk/_samples/sample.css
===================================================================
--- FCKeditor/trunk/_samples/sample.css	(revision 2037)
+++ FCKeditor/trunk/_samples/sample.css	(revision 2039)
@@ -22,5 +22,5 @@
  */
 
-body, td, input, select, textarea
+body, td, th, input, select, textarea
 {
 	font-size: 12px;
@@ -37,14 +37,37 @@
 form
 {
-	margin: 0px 0px 0px 0px;
-	padding: 0px 0px 0px 0px;
+	margin: 0;
+	padding: 0;
+}
+
+#outputSample 
+{
+	table-layout:fixed;
 }
 
 pre
 {
-	margin:0px;
-	padding:0px;
-	white-space: pre-wrap; /* css-3 */
-	white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
-	word-wrap: break-word; /* Internet Explorer 5.5+ */
+	margin: 0;
+	padding: 0;
+
+	white-space: pre; /* CSS2 */
+	white-space: -moz-pre-wrap; /* Mozilla*/
+	white-space: -o-pre-wrap; /* Opera 7 */
+	white-space: pre-wrap; /* CSS 2.1 */
+	white-space: pre-line; /* CSS 3 (and 2.1 as well, actually) */ 
+	word-wrap: break-word; /* IE */
 }
+
+#outputSample thead th 
+{
+	color: #dddddd; 
+	background-color: #999999;
+	padding: 4px;
+	white-space: nowrap;
+}
+
+#outputSample tbody th 
+{
+	vertical-align: top;
+	text-align: left;
+}
Index: FCKeditor/trunk/_whatsnew.html
===================================================================
--- FCKeditor/trunk/_whatsnew.html	(revision 2037)
+++ FCKeditor/trunk/_whatsnew.html	(revision 2039)
@@ -109,4 +109,8 @@
 		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2063">#2063</a>] Fixed some problems in asp
 			related to the use of network paths for the location of the uploaded files.</li>
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/1593">#1593</a>] Samplepostdata will now 
+			properly wrap the text.</li> 
+		<li>[<a target="_blank" href="http://dev.fckeditor.net/ticket/2239">#2239</a>] The Samplepostdata.php has been
+			changed from "&lt;?=" to "&lt;? echo".</li> 
 	</ul>
 	<h3>