Index: FCKeditor.Java/trunk/java-core/pom.xml
===================================================================
--- FCKeditor.Java/trunk/java-core/pom.xml	(revision 2044)
+++ FCKeditor.Java/trunk/java-core/pom.xml	(revision 2045)
@@ -4,4 +4,19 @@
 	<packaging>jar</packaging>
 	<dependencies>
+		<dependency>
+			<groupId>commons-fileupload</groupId>
+			<artifactId>commons-fileupload</artifactId>
+			<version>1.2</version>
+		</dependency>
+		<dependency>
+			<groupId>commons-io</groupId>
+			<artifactId>commons-io</artifactId>
+			<version>1.3.2</version>
+		</dependency>
+		<dependency>
+			<groupId>org.slf4j</groupId>
+			<artifactId>slf4j-api</artifactId>
+			<version>${slf4j.version}</version>
+		</dependency>
 		<dependency>
 			<groupId>javax.servlet</groupId>
@@ -25,5 +40,5 @@
 			<groupId>org.slf4j</groupId>
 			<artifactId>slf4j-nop</artifactId>
-			<version>1.5.0</version>
+			<version>${slf4j.version}</version>
 			<scope>test</scope>
 		</dependency>
Index: FCKeditor.Java/trunk/java-demo/pom.xml
===================================================================
--- FCKeditor.Java/trunk/java-demo/pom.xml	(revision 2044)
+++ FCKeditor.Java/trunk/java-demo/pom.xml	(revision 2045)
@@ -14,5 +14,5 @@
 			<groupId>org.slf4j</groupId>
 			<artifactId>slf4j-simple</artifactId>
-			<version>1.5.0</version>
+			<version>${slf4j.version}</version>
 			<scope>runtime</scope>
 		</dependency>
Index: FCKeditor.Java/trunk/pom.xml
===================================================================
--- FCKeditor.Java/trunk/pom.xml	(revision 2044)
+++ FCKeditor.Java/trunk/pom.xml	(revision 2045)
@@ -5,21 +5,4 @@
 	<version>2.4-SNAPSHOT</version>
 	<packaging>pom</packaging>
-	<dependencies>
-		<dependency>
-			<groupId>commons-fileupload</groupId>
-			<artifactId>commons-fileupload</artifactId>
-			<version>1.2</version>
-		</dependency>
-		<dependency>
-			<groupId>commons-io</groupId>
-			<artifactId>commons-io</artifactId>
-			<version>1.3.2</version>
-		</dependency>
-		<dependency>
-			<groupId>org.slf4j</groupId>
-			<artifactId>slf4j-api</artifactId>
-			<version>1.5.0</version>
-		</dependency>
-	</dependencies>
 	<modules>
 		<module>java-core</module>
@@ -29,4 +12,5 @@
 		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
 		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
+		<slf4j.version>1.5.0</slf4j.version>
 	</properties>
 	<build>
Index: FCKeditor.Java/trunk/src/main/assembly/bin.xml
===================================================================
--- FCKeditor.Java/trunk/src/main/assembly/bin.xml	(revision 2044)
+++ FCKeditor.Java/trunk/src/main/assembly/bin.xml	(revision 2045)
@@ -12,6 +12,10 @@
 				<include>*:jar</include>
 			</includes>
-			<binaries>	
-				<includeDependencies>false</includeDependencies>
+			<binaries>
+				<dependencySets>
+					<dependencySet>
+						<outputDirectory>lib</outputDirectory>
+					</dependencySet>
+				</dependencySets>
 				<outputFileNameMapping>
 					fckeditor-${artifactId}-${version}.${extension}
@@ -54,8 +58,3 @@
 		</fileSet>
 	</fileSets>
-	<dependencySets>
-		<dependencySet>
-			<outputDirectory>lib</outputDirectory>
-		</dependencySet>
-	</dependencySets>
 </assembly>
Index: FCKeditor.Java/trunk/src/site/site.xml
===================================================================
--- FCKeditor.Java/trunk/src/site/site.xml	(revision 2044)
+++ FCKeditor.Java/trunk/src/site/site.xml	(revision 2045)
@@ -42,5 +42,4 @@
 			<!-- Postponed to beyond 2.4 -->
 			<!--<item name="Changes Report" href="/changes-report.html" />-->
-			<item name="Dependencies" href="/dependencies.html" />
 			<item name="Issue Tracking" href="/issue-tracking.html" />
 			<item name="Mailing Lists" href="/mail-lists.html" />
@@ -90,5 +89,4 @@
 						href="/java-core/taglist.html"
 					/>
-					<!--<item name="Tag reference" href="/java-core/tagreference.html" />-->
 					<item name="Test JavaDocs"
 						href="/java-core/testapidocs/index.html"